Subject: Re: [PATCH] cat-file: fix error and warning message formatting

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Feb 2026 11:59:20 -0800

Engr Md Ferdous Alam <[email-masked]> writes:

> Given the risk of silently breaking error detection in projects like
> Gitea, Gogs, Gitaly, and IntelliJ, I am not sure whether it is
> worth proceeding with patch [1/2].
> ...
> How would you like to proceed?

It is prudent to treat any and all messages from plumbing commands
like cat-file as sleeping dogs and keep them undisturbed.  Even for
human end-user facing messages from Porcelain commands, we may want
to be careful, but if I recall correctly, the commands your recent
set of patches covered were all plumbing?

Thanks.